ch.qos.logback.classic.util

## Class StatusViaSLF4JLoggerFactory

- java.lang.Object
- - ch.qos.logback.classic.util.StatusViaSLF4JLoggerFactory

    public class StatusViaSLF4JLoggerFactory
    extends Object

Add a status message to the `LoggerContext` returned by `LoggerFactory.getILoggerFactory()`.

Since:
  1.1.10
Author:
  ceki

### Constructor Summary

Constructors
Constructor and Description
`StatusViaSLF4JLoggerFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addError(String msg, Object o)`
`static void` `addError(String msg, Object o, Throwable t)`
`static void` `addInfo(String msg, Object o)`
`static void` `addStatus(Status status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusViaSLF4JLoggerFactory

    public StatusViaSLF4JLoggerFactory()

### Method Detail

#### addInfo

    public static void addInfo(String msg,
                               Object o)

#### addError

    public static void addError(String msg,
                                Object o)

#### addError

    public static void addError(String msg,
                                Object o,
                                Throwable t)

#### addStatus

    public static void addStatus(Status status)